<script>  
	import DB from '../utils/DB.svelte';
	import Search from '../components/Search.svelte';

	 import Modal from 'svelte-simple-modal';
	 import Content from '../components/ModalContent.svelte';

	import { fade } from 'svelte/transition';

	let books = [];
	let booksSearch;

	let modal = false;
</script>

<DB bind:documents={books} initsrc='./books.json' collection='tiny-amazon'></DB> 

<main class="z-0">
	<Search bind:searchResult={booksSearch} search='title'/>

	<div class="mdc-layout-grid">
		<ul class="mdc-layout-grid__inner">
			{#if booksSearch }
				{#each booksSearch.docs as book}
					<li class="mdc-layout-grid__cell" transition:fade>
						<div class="mdc-card book-card">
							<div class="mdc-card__primary-action book-card__primary-action" tabindex="0">
								{#if book.img}
								<div class="mdc-card__media mdc-card__media--16-9 book-card__media" style="background-image: url(data:{book.img.content_type};base64,{book.img.data});"></div>
								{:else}
								<div class="mdc-card__media mdc-card__media--16-9 book-card__media" style="background-image: url('https://www.machine-metal.com/img/no-image.gif');"></div>
								{/if}
								<div class="book-card__primary p-4">
									<h2 class="book-card__title mdc-typography mdc-typography--headline6">{book.title}</h2>
									<h3 class="book-card__title mdc-typography mdc-typography--headline6">Author : {book.author}</h3>
								</div>
							</div>
							<div class="mdc-card__actions">
								<div class="mdc-card__action-buttons">
									<a href="{book.url}" class="mdc-button mdc-card__action mdc-card__action--button"><span class="mdc-button__ripple"></span>Buy on Amazon</a>
									<Modal>
										<Content book={book}/>
									</Modal>
								</div>
							</div>
						</div>
					</li>
				{/each}
			{:else}
				{#each books as book}
					<li class="mdc-layout-grid__cell" transition:fade>
						<div class="mdc-card book-card">
							<div class="mdc-card__primary-action book-card__primary-action" tabindex="0">
								{#if book.img}
								<div class="mdc-card__media mdc-card__media--16-9 book-card__media" style="background-image: url(data:{book.img.content_type};base64,{book.img.data});"></div>
								{:else}
								<div class="mdc-card__media mdc-card__media--16-9 book-card__media" style="background-image: url('https://www.machine-metal.com/img/no-image.gif');"></div>
								{/if}
								<div class="book-card__primary p-4">
									<h2 class="book-card__title mdc-typography mdc-typography--headline6">{book.title}</h2>
									<h3 class="book-card__title mdc-typography mdc-typography--headline6">Author : {book.author}</h3>
								</div>
							</div>
							<div class="mdc-card__actions">
								<div class="mdc-card__action-buttons">
									<a href="{book.url}" class="mdc-button mdc-card__action mdc-card__action--button"><span class="mdc-button__ripple"></span>Buy on Amazon</a>
									<Modal>
										<Content book={book}/>
									</Modal>
								</div>
							</div>
						</div>
					</li>
				{/each}
			{/if}
		</ul>
	</div>
</main>

<style lang="scss">
@import "@material/card/mdc-card";
@import "@material/button/mdc-button";
@import "@material/layout-grid/mdc-layout-grid";
</style>